org.tmatesoft.svn.core.wc2

## Class SvnRemoteMkDir

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<T>
  - - org.tmatesoft.svn.core.wc2.SvnReceivingOperation<SVNCommitInfo>
    - - org.tmatesoft.svn.core.wc2.AbstractSvnCommit
      - - org.tmatesoft.svn.core.wc2.SvnRemoteMkDir

- All Implemented Interfaces:
    ISvnObjectReceiver<SVNCommitInfo>, ISvnOperationOptionsProvider

      public class SvnRemoteMkDir
      extends AbstractSvnCommit

  Creates directory(ies) in a repository.

  All `targets` should be URLs, representing repository locations to be created. URLs can be from multiple repositories.

  If non-`null`, `revisionProperties` holds additional, custom revision properties (`String` names mapped to `SVNPropertyValue` values) to be set on the new revision. This table cannot contain any standard Subversion properties.

  `commitHandler` will be asked for a commit log message.

  If the caller's `event handler` is not `null` and if the commit succeeds, the handler will be called with `SVNEventAction.COMMIT_COMPLETED` event action.

  `SvnOperation.run()` method returns `SVNCommitInfo` information on a new revision as the result of the commit. `SvnOperation.run()` throws `SVNException` in the following cases:
  exception with `SVNErrorCode.RA_ILLEGAL_URL` error code - if cannot compute common root url for `targets`, `targets` can refer to different repositories
  exception with `SVNErrorCode.CLIENT_PROPERTY_NAME` error code - if there is standard Subversion property among revision properties
  exception with `SVNErrorCode.FS_NOT_FOUND` error code - if some of the `targets` does not exist
  Version:
    1.7
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SvnRemoteMkDir(SvnOperationFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getMaximumTargetsCount()`
    `boolean` | `isChangesWorkingCopy()` Gets whether the operation changes working copy
    `boolean` | `isMakeParents()` Returns whether to create all non-existent parent directories
    `void` | `setMakeParents(boolean makeParents)` Sets whether to create all non-existent parent directories

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.AbstractSvnCommit

      `getCommitHandler, getCommitMessage, getRevisionProperties, setCommitHandler, setCommitMessage, setRevisionProperties, setRevisionProperty`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

      `first, getReceiver, initDefaults, last, receive, run, setReceiver`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnRemoteMkDir

          protected SvnRemoteMkDir(SvnOperationFactory factory)

  - ### Method Detail

    - #### isMakeParents

          public boolean isMakeParents()

      Returns whether to create all non-existent parent directories
      Returns:
        `true` if the non-existent parent directories should be created, otherwise `false`

    - #### setMakeParents

          public void setMakeParents(boolean makeParents)

      Sets whether to create all non-existent parent directories
      Parameters:
        `makeParents` - `true` if the non-existent parent directories should be created, otherwise `false`

    - #### getMaximumTargetsCount

          protected int getMaximumTargetsCount()

      Overrides:
        `getMaximumTargetsCount` in class `SvnOperation<SVNCommitInfo>`

    - #### isChangesWorkingCopy

          public boolean isChangesWorkingCopy()

      Gets whether the operation changes working copy
      Overrides:
        `isChangesWorkingCopy` in class `SvnOperation<SVNCommitInfo>`
      Returns:
        `true` if the operation changes the working copy, otherwise `false`